- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LotusParserInternal::State Struct Reference

the state of LotusParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding */ More...

## Public Attributes
long | m_eof
| the last file position More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
bool | m_inMainContentBlock
| a flag used to know if we are in the main block or no More...
std::map< int, Font > | m_fontsMap
| the fonts map More...
WPSPageSpan | m_pageSpan
| the actual document size More...
int | m_maxSheet
| the last sheet number More...
int | m_actPage
| the actual page More...
int | m_numPages
std::string | m_headerString
| the header string More...
std::string | m_footerString
| the footer string More...

## Detailed Description

the state of LotusParser

## Constructor & Destructor Documentation

LotusParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inline explicit

constructor

## Member Function Documentation

WPSFont LotusParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding */

libwps_tools_win::Font::Type LotusParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## Member Data Documentation

int LotusParserInternal::State::m_actPage

the actual page

long LotusParserInternal::State::m_eof

the last file position

std::map<int, Font> LotusParserInternal::State::m_fontsMap

the fonts map

libwps_tools_win::Font::Type LotusParserInternal::State::m_fontType

the user font type

std::string LotusParserInternal::State::m_footerString

the footer string

std::string LotusParserInternal::State::m_headerString

the header string

bool LotusParserInternal::State::m_inMainContentBlock

a flag used to know if we are in the main block or no

int LotusParserInternal::State::m_maxSheet

the last sheet number

int LotusParserInternal::State::m_numPages

WPSPageSpan LotusParserInternal::State::m_pageSpan

the actual document size

int LotusParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- Lotus.cpp